import os, pygame
import level
from constants import *


os.environ['SDL_VIDEO_CENTERED'] = '1'



def main():
	pygame.init()
	screen = pygame.display.set_mode(DISPLAY, FLAGS, DEPTH)
	pygame.mouse.set_visible(MOUSE_VISIBLE)
	pygame.display.set_caption(GAME_TITLE)
	pygame.display.set_icon(pygame.image.load(os.path.join(FOLDER_ART, 'map_fox.png')))

	'''
	if not pygame.mixer.music.get_busy():
		pygame.mixer.music.play(-1)	
	'''

	clock = pygame.time.Clock()
	running = True

	game = level.LevelManager()

	while running:
		clock.tick(FPS)

		if pygame.event.get(pygame.QUIT):
			running = False
			return
		#level.render(screen)
		#pygame.display.flip()



		game.level.handle_events(pygame.event.get())
		game.level.update()
		game.level.sprites.clear(screen, game.level.background)		
		game.level.sprites.update()		
		pygame.display.update(game.level.sprites.draw(screen))		
		
if __name__=='__main__':
	main()		
	
