import pygame
import art
from constants import *


class Dirty_obj(pygame.sprite.DirtySprite): 
	def __init__(self, image, position, size=None):
		pygame.sprite.DirtySprite.__init__(self)
		self.image=image 
		self.rect=self.image.get_rect()
		self.rect.center=position
		
	def update_animation(self):
		self.image=self.art.next()
		self.dirty=1
		
		
class Dirty_rect(Dirty_obj):
	def __init__(self, color, position, size):
		image=pygame.Surface(size)
		image.fill(color)
		Dirty_obj.__init__(self, image, position, size)
		

class Dirty_text(Dirty_obj):
	def __init__(self, text, font, color, position):
		self.text=text
		self.font=font
		self.color=color
		Dirty_obj.__init__(self, font.render(text, True, color).convert_alpha(), position)
	
	def update(self):
		if self.dirty==1:
			self.image=self.font.render(self.text, True, self.color).convert_alpha()		

	def editText(self,newtext):
		self.text=str(newtext)
		self.dirty=1

		
