import os, string
import pygame
from constants import *

def load_image(folder, filename):
	img=pygame.image.load(os.path.join(folder, filename)).convert_alpha()
	if filename[:6]=='screen':
		return scale_image(img, DISPLAY)
	return img
	
def scale_image(image, size):
	return pygame.transform.scale(image, size).convert_alpha()
